JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::dsp::ProcessorBase Struct Referenceabstract
juce_dsp » processors

Acts as a polymorphic base class for processors. More...

`#include <juce_ProcessorWrapper.h>`

Inheritance diagram for juce::dsp::ProcessorBase:

## Public Member Functions
| ProcessorBase ()=default
virtual | ~ProcessorBase ()=default
virtual void | prepare (const ProcessSpec &)=0
virtual void | process (const ProcessContextReplacing< float > &)=0
virtual void | reset ()=0

## Detailed Description

Acts as a polymorphic base class for processors.

This exposes the same set of methods that a processor must implement as virtual methods, so that you can use the ProcessorWrapper class to wrap an instance of a subclass, and then pass that around using ProcessorBase as a base class.

See also
  ProcessorWrapper

## Constructor & Destructor Documentation

## ◆ ProcessorBase()

juce::dsp::ProcessorBase::ProcessorBase | ( |  | ) |
| default

## ◆ ~ProcessorBase()

virtual juce::dsp::ProcessorBase::~ProcessorBase | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ prepare()

virtual void juce::dsp::ProcessorBase::prepare | ( | const ProcessSpec & |  | ) |
| pure virtual

Implemented in juce::dsp::ProcessorWrapper< ProcessorType >.

## ◆ process()

virtual void juce::dsp::ProcessorBase::process | ( | const ProcessContextReplacing< float > & |  | ) |
| pure virtual

Implemented in juce::dsp::ProcessorWrapper< ProcessorType >.

## ◆ reset()

virtual void juce::dsp::ProcessorBase::reset | ( |  | ) |
| pure virtual

Implemented in juce::dsp::ProcessorWrapper< ProcessorType >.

The documentation for this struct was generated from the following file:

- juce_ProcessorWrapper.h